<?php require_once( 'couch/cms.php' ); ?>
<?php require_once( 'postalcode.php' ); ?>
<cms:template title='Postal Search' clonable='1'>
	<cms:editable name='postal_code' label='Postal Code' desc='5-digits' required='1' validator='regex=/^[0-9]{5}$/' type='text' order='1'/>
</cms:template>
<!doctype html>
<html>
<body>
<cms:form name='search' method='get' anchor='0'>
	<label for="pc">Postal Code:</label><br/>
	<cms:input name='pc' required='1' validator='regex=/^[0-9]{5}$/' type='text' value=''/><br/><br/>
    <label for="range">Range in Miles (0 for unlimited):</label><br/>
	<cms:input name='range' required='1' validator='regex=/^[0-9]{1,5}$/' type='text' value=''/><br/><br/>
	<input type="submit" value="Search"/>

	<cms:if k_error>
		<p style="color:red;">Please enter a valid Postal Code and Range.</p>
	</cms:if>

    <cms:if k_success>
		<cms:php>
			global $CTX;
			$location = new PostalCode('<cms:show frm_pc/>');
			$CTX->set('pc_query', $location->getSqlForPcsInRange(0, '<cms:show frm_range/>'), 'global');
		</cms:php>

		<cms:if pc_query>
			<h3>Pages in Range:</h3>
			<cms:query sql=pc_query orderby='distance ASC' limit='4' paginate='1'>
				<cms:if k_paginated_top><ul></cms:if>

				<cms:pages masterpage=template_name id=page_id limit='1'>
					<li>
						<p><a href="<cms:show k_page_link/>"><cms:show k_page_title/></a><br/>
						<cms:show pc/> is <cms:number_format distance decimal_precision='0'/> miles away</p>
					</li>
				</cms:pages>

				<cms:if k_paginated_bottom></ul></cms:if>
				<cms:paginator />
			</cms:query>
		<cms:else/>
			<p style="color:red;">Postal Code does not exist in database.</p>
		</cms:if>
	</cms:if>
</cms:form>
</body>
</html>
<?php COUCH::invoke(); ?>